## visad.data.netcdf.in
Class FileDataFactory

    java.lang.Object
      visad.data.netcdf.in.DataFactory
          visad.data.netcdf.in.FileDataFactory

public class FileDataFactory
extends DataFactory

Provides support for creating VisAD Data objects that use a file backing-store from VirtualData objects. Currently, the only supported in-file VisAD data object is the FileFlatField.

Nested Class Summary
`protected class` `FileDataFactory.netCDFFlatFieldAccessor` Provides support for reading a FlatField from a netCDF dataset.

Method Summary
`static DataFactory` `instance()` Returns an instance of this class.
`FlatField` `newData(Context context, VirtualFlatField virtualField)` Creates a VisAD FlatField object from a netCDF indicial context and a VirtualFlatField.

Methods inherited from class visad.data.netcdf.in.DataFactory
`newData, newData, newData, newData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### instance

    public static DataFactory instance()

  Returns an instance of this class.

  Returns:
    An instance of this class.

### newData

    public FlatField newData(Context context,
                             VirtualFlatField virtualField)
                      throws VisADException,
                             RemoteException,
                             IOException

  Creates a VisAD FlatField object from a netCDF indicial context and a VirtualFlatField. The returned FlatField object is, actually, a FileFlatField that uses the netCDF dataset as its (read-only) backing-store.

  Overrides:
    `newData` in class `DataFactory`
  Parameters:
    `context` - The netCDF indicial context.
    `virtualField` - The virtual data.
  Returns:
    The VisAD FileFlatField corresponding to the input.
  Throws:
    `VisADException` - VisAD failure.
    `RemoteException` - Java RMI failure.
    `IOException` - I/O failure.